--- title: "getJobs" slug: "analytics-dataflow-getjobs" updated: 2026-10-08T04:22:24Z published: 2026-10-08T04:22:24Z canonical: "api.ncloud-docs.com/analytics-dataflow-getjobs" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getJobs Available in VPC Get the list of jobs. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/jobs | ### Request headers For information about the request headers common to all Data Flow APIs, see [Data Flow request headers](/docs/en/analytics-dataflow#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | Optional | Job name | | `page` | Integer | Optional | Page number - 0-N (default: 0) | | `limit` | Integer | Optional | Page output count - 1-N (default: 1000) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://dataflow.apigw.ntruss.com/api/v1/jobs?page=0&limit=1000' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `list` | Array | - | Job list: [list](/docs/en/analytics-dataflow-getjobs#list) | | `count` | Integer | - | Number of response results | | `page` | Integer | - | Page number | | `limit` | Integer | - | Page output count | #### `list` The following describes `list`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `jobId` | String | - | Job ID | | `name` | String | - | Job name | | `type` | String | - | Job type - `VISUAL` \| `SCRIPT` | | `status` | String | - | Job status - `READY` - `READY`: Job execution available. | | `maxConcurrentRuns` | Integer | - | Maximum number of concurrent executions | | `lastExecutionStatus` | String | - | Last job execution status - `READY` \| `RUNNING` \| `COMPLETED` \| `FAILED` \| `CANCELLING` \| `CANCELLED` \| `TIMEOUT` - `READY`: Pending execution. - `RUNNING`: Running. - `COMPLETED`: Completed. - `FAILED`: Failed. - `CANCELLING`: Canceling. - `CANCELLED`: Canceled. - `TIMEOUT`: Execution timeout exceeded. - Jobs without execution history are not included in fields. | | `createdDate` | String | - | Job creation date and time - ISO 8601 format (including UTC+9) | | `updatedDate` | String | - | Job modification date and time - ISO 8601 format (including UTC+9) | | `lastExecutionDate` | String | - | Last job execution date and time - ISO 8601 format (including UTC+9) | | `resourceId` | String | - | Resource ID - Same as the job ID (`jobId`) | | `disabled` | Boolean | - | Resource query permission status | ### Response status codes For information about the response status codes common to all Data Flow APIs, see [Data Flow response status codes](/docs/en/analytics-dataflow#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "list": [ { "jobId": "fAjvc*******", "name": "job002", "type": "SCRIPT", "status": "READY", "maxConcurrentRuns": 3, "lastExecutionStatus": "COMPLETED", "createdDate": "2025-03-20T08:54:03+09:00", "updatedDate": "2025-03-20T14:01:23+09:00", "lastExecutionDate": "2025-03-20T14:00:09+09:00", "resourceId": "fAjvc*******", "disabled": false }, { "jobId": "gqigvH******", "name": "job001", "type": "VISUAL", "status": "READY", "maxConcurrentRuns": 3, "lastExecutionStatus": "COMPLETED", "createdDate": "2025-03-19T15:03:42+09:00", "updatedDate": "2025-03-20T13:07:34+09:00", "lastExecutionDate": "2025-03-20T13:06:05+09:00", "resourceId": "gqigvH******", "disabled": false } ], "count": 2, "page": 0, "limit": 1000 } ```